Add a purchaser
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"purchaser": {
"person_type": "smsf",
"first_name": "Jane",
"last_name": "Doe",
"company_name": "The New Age Koima's Pty Ltd",
"acn_abn": "686768310",
"middle_name": "Anne",
"email": "jane@example.com",
"mobile": "0400 000 001",
"date_of_birth": "1990-05-14",
"address": "1 Buyer St",
"suburb": "Sydney",
"state": "NSW",
"postcode": "2000",
"ownership_percentage": 100
}
}
EOFimport requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers"
payload = { "purchaser": {
"person_type": "smsf",
"first_name": "Jane",
"last_name": "Doe",
"company_name": "The New Age Koima's Pty Ltd",
"acn_abn": "686768310",
"middle_name": "Anne",
"email": "jane@example.com",
"mobile": "0400 000 001",
"date_of_birth": "1990-05-14",
"address": "1 Buyer St",
"suburb": "Sydney",
"state": "NSW",
"postcode": "2000",
"ownership_percentage": 100
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purchaser: {
person_type: 'smsf',
first_name: 'Jane',
last_name: 'Doe',
company_name: 'The New Age Koima\'s Pty Ltd',
acn_abn: '686768310',
middle_name: 'Anne',
email: 'jane@example.com',
mobile: '0400 000 001',
date_of_birth: '1990-05-14',
address: '1 Buyer St',
suburb: 'Sydney',
state: 'NSW',
postcode: '2000',
ownership_percentage: 100
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'purchaser' => [
'person_type' => 'smsf',
'first_name' => 'Jane',
'last_name' => 'Doe',
'company_name' => 'The New Age Koima\'s Pty Ltd',
'acn_abn' => '686768310',
'middle_name' => 'Anne',
'email' => 'jane@example.com',
'mobile' => '0400 000 001',
'date_of_birth' => '1990-05-14',
'address' => '1 Buyer St',
'suburb' => 'Sydney',
'state' => 'NSW',
'postcode' => '2000',
'ownership_percentage' => 100
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers"
payload := strings.NewReader("{\n \"purchaser\": {\n \"person_type\": \"smsf\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"company_name\": \"The New Age Koima's Pty Ltd\",\n \"acn_abn\": \"686768310\",\n \"middle_name\": \"Anne\",\n \"email\": \"jane@example.com\",\n \"mobile\": \"0400 000 001\",\n \"date_of_birth\": \"1990-05-14\",\n \"address\": \"1 Buyer St\",\n \"suburb\": \"Sydney\",\n \"state\": \"NSW\",\n \"postcode\": \"2000\",\n \"ownership_percentage\": 100\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"purchaser\": {\n \"person_type\": \"smsf\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"company_name\": \"The New Age Koima's Pty Ltd\",\n \"acn_abn\": \"686768310\",\n \"middle_name\": \"Anne\",\n \"email\": \"jane@example.com\",\n \"mobile\": \"0400 000 001\",\n \"date_of_birth\": \"1990-05-14\",\n \"address\": \"1 Buyer St\",\n \"suburb\": \"Sydney\",\n \"state\": \"NSW\",\n \"postcode\": \"2000\",\n \"ownership_percentage\": 100\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"purchaser\": {\n \"person_type\": \"smsf\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"company_name\": \"The New Age Koima's Pty Ltd\",\n \"acn_abn\": \"686768310\",\n \"middle_name\": \"Anne\",\n \"email\": \"jane@example.com\",\n \"mobile\": \"0400 000 001\",\n \"date_of_birth\": \"1990-05-14\",\n \"address\": \"1 Buyer St\",\n \"suburb\": \"Sydney\",\n \"state\": \"NSW\",\n \"postcode\": \"2000\",\n \"ownership_percentage\": 100\n }\n}"
response = http.request(request)
puts response.read_body{
"purchaser": {
"id": 1,
"person_type": "individual",
"first_name": "Jane",
"middle_name": "Anne",
"last_name": "Doe",
"email": "jane@example.com",
"mobile": "0400 000 001",
"date_of_birth": "1990-05-14",
"address": "1 Buyer St",
"suburb": "Sydney",
"state": "NSW",
"postcode": "2000",
"country": "Australia",
"ownership_percentage": "100.0",
"company_name": null,
"trading_name": null,
"trust_smsf_name": null,
"acn_abn": null,
"verified": false,
"verification_status": "Not started",
"associated_people": []
}
}{
"errors": [
"person_type must be one of: individual, company, trust, smsf"
]
}EOIs
Add a purchaser
Adds a purchaser to the EOI, a person by default or a company, trust or SMSF.
POST
/
{agency_uid}
/
eois
/
{eoi_id}
/
purchasers
Add a purchaser
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"purchaser": {
"person_type": "smsf",
"first_name": "Jane",
"last_name": "Doe",
"company_name": "The New Age Koima's Pty Ltd",
"acn_abn": "686768310",
"middle_name": "Anne",
"email": "jane@example.com",
"mobile": "0400 000 001",
"date_of_birth": "1990-05-14",
"address": "1 Buyer St",
"suburb": "Sydney",
"state": "NSW",
"postcode": "2000",
"ownership_percentage": 100
}
}
EOFimport requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers"
payload = { "purchaser": {
"person_type": "smsf",
"first_name": "Jane",
"last_name": "Doe",
"company_name": "The New Age Koima's Pty Ltd",
"acn_abn": "686768310",
"middle_name": "Anne",
"email": "jane@example.com",
"mobile": "0400 000 001",
"date_of_birth": "1990-05-14",
"address": "1 Buyer St",
"suburb": "Sydney",
"state": "NSW",
"postcode": "2000",
"ownership_percentage": 100
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purchaser: {
person_type: 'smsf',
first_name: 'Jane',
last_name: 'Doe',
company_name: 'The New Age Koima\'s Pty Ltd',
acn_abn: '686768310',
middle_name: 'Anne',
email: 'jane@example.com',
mobile: '0400 000 001',
date_of_birth: '1990-05-14',
address: '1 Buyer St',
suburb: 'Sydney',
state: 'NSW',
postcode: '2000',
ownership_percentage: 100
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'purchaser' => [
'person_type' => 'smsf',
'first_name' => 'Jane',
'last_name' => 'Doe',
'company_name' => 'The New Age Koima\'s Pty Ltd',
'acn_abn' => '686768310',
'middle_name' => 'Anne',
'email' => 'jane@example.com',
'mobile' => '0400 000 001',
'date_of_birth' => '1990-05-14',
'address' => '1 Buyer St',
'suburb' => 'Sydney',
'state' => 'NSW',
'postcode' => '2000',
'ownership_percentage' => 100
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers"
payload := strings.NewReader("{\n \"purchaser\": {\n \"person_type\": \"smsf\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"company_name\": \"The New Age Koima's Pty Ltd\",\n \"acn_abn\": \"686768310\",\n \"middle_name\": \"Anne\",\n \"email\": \"jane@example.com\",\n \"mobile\": \"0400 000 001\",\n \"date_of_birth\": \"1990-05-14\",\n \"address\": \"1 Buyer St\",\n \"suburb\": \"Sydney\",\n \"state\": \"NSW\",\n \"postcode\": \"2000\",\n \"ownership_percentage\": 100\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"purchaser\": {\n \"person_type\": \"smsf\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"company_name\": \"The New Age Koima's Pty Ltd\",\n \"acn_abn\": \"686768310\",\n \"middle_name\": \"Anne\",\n \"email\": \"jane@example.com\",\n \"mobile\": \"0400 000 001\",\n \"date_of_birth\": \"1990-05-14\",\n \"address\": \"1 Buyer St\",\n \"suburb\": \"Sydney\",\n \"state\": \"NSW\",\n \"postcode\": \"2000\",\n \"ownership_percentage\": 100\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/purchasers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"purchaser\": {\n \"person_type\": \"smsf\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"company_name\": \"The New Age Koima's Pty Ltd\",\n \"acn_abn\": \"686768310\",\n \"middle_name\": \"Anne\",\n \"email\": \"jane@example.com\",\n \"mobile\": \"0400 000 001\",\n \"date_of_birth\": \"1990-05-14\",\n \"address\": \"1 Buyer St\",\n \"suburb\": \"Sydney\",\n \"state\": \"NSW\",\n \"postcode\": \"2000\",\n \"ownership_percentage\": 100\n }\n}"
response = http.request(request)
puts response.read_body{
"purchaser": {
"id": 1,
"person_type": "individual",
"first_name": "Jane",
"middle_name": "Anne",
"last_name": "Doe",
"email": "jane@example.com",
"mobile": "0400 000 001",
"date_of_birth": "1990-05-14",
"address": "1 Buyer St",
"suburb": "Sydney",
"state": "NSW",
"postcode": "2000",
"country": "Australia",
"ownership_percentage": "100.0",
"company_name": null,
"trading_name": null,
"trust_smsf_name": null,
"acn_abn": null,
"verified": false,
"verification_status": "Not started",
"associated_people": []
}
}{
"errors": [
"person_type must be one of: individual, company, trust, smsf"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes